Get a customer
GET
/api/v1/customers/{id}
const url = 'https://example.com/api/v1/customers/example';const options = {method: 'GET', headers: {'x-api-key': '<x-api-key>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/api/v1/customers/example \ --header 'x-api-key: <x-api-key>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string
Responses
Section titled “Responses”Media typeapplication/json
object
id
required
string
stripeCustomerId
required
string
email
required
string
name
required
string
phone
required
string
createdAt
required
string format: date-time
updatedAt
required
string format: date-time
Example generated
{ "id": "example", "stripeCustomerId": "example", "email": "example", "name": "example", "phone": "example", "createdAt": "2026-04-15T12:00:00Z", "updatedAt": "2026-04-15T12:00:00Z"}